KGET(8)

NAME
kget - print kernel change information.

SYNOPSIS
kget filename

DESCRIPTION
The kget utility allows one to view or save any device configuration information which was changed in userconfig (-c) session. Most typically, it is written to a /boot/kernel.conf file which is then loaded from /boot/loader.rc (using "load -t userconfig_script /boot/kernel.conf"), saving the user from having to re-enter it each time the system is booted.

kget uses the sysctl(3) interface to retrieve data from the kernel and requires that at least the machdep.uc_devlist symbol be present. If it's not, you may need to update your kernel before using this utility.

Usage: kget filename

where filename is either a regular file (which is overwritten) or -, indicating that standard output should be used.

BUGS
Sure to be some.

SEE ALSO
sysctl(3)

HISTORY
The kget command appeared in FreeBSD 3.1, as part of the PicoBSD distribution by Andrzej Bialecki